snoopy (2.4.15-1) unstable; urgency=medium

  * New upstream version 2.4.15
  * Minor  improvements to *.pot and *.po files.

 -- Marcos Fouces <marcos@debian.org>  Wed, 20 Oct 2021 17:12:27 +0200

snoopy (2.4.14-1) unstable; urgency=medium

  * New upstream version 2.4.14
  * Bump Standards-Version to 4.6.0 (no changes required).

 -- Marcos Fouces <marcos@debian.org>  Sun, 22 Aug 2021 15:52:38 +0200

snoopy (2.4.12-1) unstable; urgency=medium

  * New upstream version 2.4.12

 -- Marcos Fouces <marcos@debian.org>  Wed, 10 Feb 2021 23:24:29 +0100

snoopy (2.4.11-1) unstable; urgency=medium

  * New upstream release 2.4.11
  * Set proper values to all *.po file headers.
  * Update year and uploader email in d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Fri, 05 Feb 2021 20:12:18 +0100

snoopy (2.4.10-1) unstable; urgency=medium

  * New upstream release 2.4.10
  * Refresh patches for new upstream release.

 -- Marcos Fouces <marcos@debian.org>  Mon, 30 Nov 2020 22:59:47 +0100

snoopy (2.4.9-1) unstable; urgency=medium

  * New upstream version 2.4.9
  * Bump to Standards-Version: 4.5.1 (no changes required).
  * Refresh patches.

 -- Marcos Fouces <marcos@debian.org>  Wed, 18 Nov 2020 17:29:10 +0100

snoopy (2.4.8-1) unstable; urgency=medium

  * Fix FTBFS in ppc64el. Thanks to Steve Langasek.
    (Closes: #953100).
  * Bump to Standards-Version: 4.5.0 (no changes required).
  * New upstream version 2.4.8 (Closes:#957824).
  * Refresh patches that remain and remove the following
    already applied upstream:
    ~ 0001-parse-proc-properties-to-the-end.patch
    ~ 0002-properly-extract-Name-values-containing-whitespace.patch
    ~ 04_gcc-7.patch
    ~ 05_gcc-9.patch
  * Update uploader email to @debian.org
  * Improve upstream metadata.
  * Fix Lintian overrides.
  * Convert some *.po files to utf-8 encoding.
  * Bump to debhelper-compat level 13.

 -- Marcos Fouces <marcos@debian.org>  Mon, 05 Oct 2020 23:20:58 +0200

snoopy (2.4.6-6) unstable; urgency=medium

  * Team upload.
  * d/patches
    - Add 05_gcc-9.patch: fix compialtion by gcc 9 (Closes: #925833).
    - Add 06_disable_rpname_test.patch: disable always failing test
  * d/control
    - Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root: no

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Sat, 09 Nov 2019 02:23:51 +0300

snoopy (2.4.6-5) unstable; urgency=medium

  * d/patches
    - Add 0001-parse-proc-properties-to-the-end.patch
    - Add 0002-properly-extract-Name-values-containing-whitespace.patch
      (Closes: #880086 ).
  * d/control
    - Bump debhelper compatibility level to 12
    - Switch Build-Depends from debhelper to debhelper-compat, dropping
      d/compat as it is obsolete.
    - Bump Standards-Version to 4.3.0 (no changes required).
  * d/copyright
    - Give proper credits to all package developers.
    - Update copyright years.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Sun, 24 Feb 2019 00:30:56 +0000

snoopy (2.4.6-4) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
  * d/compat:
    - Bump compat version to 11
  * d/rules:
    - Add override_dh_missing target (--fail-missing)

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 19 Sep 2018 13:09:29 +0800

snoopy (2.4.6-3) unstable; urgency=medium

  * Team upload.
  * Disable additional tests which don't seem to work reliably in the sbuild
    environment.
  * Snoopy uses Linux-only functions like gettid, restrict building for this
    package to linux-any.
  * Bump Standards-Version to 4.1.1 (no changes required).

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Thu, 26 Oct 2017 19:37:21 +0200

snoopy (2.4.6-2) unstable; urgency=medium

  * Team upload.
  * No longer compare pointer with the zero constant character to fix FTBFS
    with GCC-7 (Closes: #853664).

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sun, 27 Aug 2017 12:18:19 +0200

snoopy (2.4.6-1) unstable; urgency=medium

  [ Marcos Fouces ]
  * Update watch file
  * New upstream version 2.4.6
  * Assign maintenance to pkg-security team (Closes: #854351)
  * Bump to dh compat level 10
  * Adapt rules file to new upstream version
  * Remove useless files
  * Add NoGitSubmodulesClone.patch
  * Add 02_Fix-spelling-errors.patch
  * Rename properly some files under debian dir

  [ Raphaël Hertzog ]
  * Do not override binary-without-manpage lintian warning.
  * Add "socat" to Build-Depends as it's needed by "make check".
  * Drop "dpkg-dev (>= 1.16.1), autoconf, automake, libtool" from
    Build-Depends. This minimal dpkg version is already in oldstable
    and the others are no longer needed explicitly as we are no longer
    calling bootstrap.sh.

  [ Lukas Schwaighofer ]
  * Add socat and procps to Build-Depends, needed for the test suite
  * Enable testsuite (but disable four specific tests which fail when executed
    by pbuilder/sbuilder due to the chroot environment)
  * Make sure the question regarding /etc/ld.so.preload is always asked and
    the file is changed in postinst accordingly
  * Use /bin/sh (not bash) for postrm, unify the style
  * Explain how to enable/disable snoopy correctly in README.Debian
  * Drop snoopy-enable and snoopy-disable; for reasons explained in
    README.Debian dpkg-reconfigure should be used instead
  * Postinst needs to write the multiarch path to /etc/ld.so.preload, so it is
    now dynamically generated from postinst.in
    - drop `Multiarch: same` since the full path is required in ld.so.preload
  * Udated Standards version to 4.0.0 (no change)

 -- Marcos Fouces <marcos.fouces@gmail.com>  Tue, 04 Apr 2017 23:50:34 +0200

snoopy (2.3.2-1) unstable; urgency=medium

  * Orphaning package
  * New upstream version
  * Standards-Version: 3.9.8
  * Enable config files and filtering by default (closes: #837617)
  * Enable multiarch support (closes: #791685, #791687)

 -- Zed Pobre <zed@debian.org>  Thu, 31 Jan 2017 13:33:09 -0400

snoopy (2.3.1-2) unstable; urgency=medium

  * Add automake to build-depends (closes: #788323)

 -- Zed Pobre <zed@debian.org>  Sat, 20 Jun 2015 00:44:43 -0400

snoopy (2.3.1-1) unstable; urgency=high

  * New upstream version, new upstream homepage
  * Updated copyright file
  * Fixes the boot loop with systemd (closes: #784682)
  * This also changes the logging procedure in a way that prevents system
    lockups when a remote logserver stops responding properly.
  * There is a new configuration file option that is NOT being used by
    this package to minimize usage overhead.  If you need this feature,
    you will need to recompile the package (see the comments in
    debian/rules).

 -- Zed Pobre <zed@debian.org>  Tue, 19 May 2015 15:02:19 -0400

snoopy (1.8.0-5) unstable; urgency=low

  * Add Slovak Debconf translation (closes: #685370)

 -- Zed Pobre <zed@debian.org>  Mon, 20 Aug 2012 17:29:26 -0400

snoopy (1.8.0-4) unstable; urgency=low

  * Add Danish Debconf translation (closes: #660392)
  * Standards-Version 3.9.3 (no changes)

 -- Zed Pobre <zed@debian.org>  Fri, 17 Aug 2012 14:10:07 -0400

snoopy (1.8.0-3) unstable; urgency=low

  * Merge back in changes from 1.3-15 that were dropped in the original
    package transition (closes: #639855)

 -- Zed Pobre <zed@debian.org>  Mon, 05 Sep 2011 17:08:41 -0400

snoopy (1.8.0-2) unstable; urgency=low

  * Correct debian/copyright to show that the upstream code is licensed
    GPL-2+, not just GPL-2 (thanks to Ansgar Burchardt for noticing).

 -- Zed Pobre <zed@debian.org>  Thu, 09 Jun 2011 10:42:55 -0400

snoopy (1.8.0-1) unstable; urgency=low

  * New maintainer.
  * New upstream version (closes: #629832).
    * Static log function patch moved into upstream code
    * -fPIC build patch moved into upstream code
    * rm -f on clean patch moved into upstream code
    * DESTDIR patch moved into upstream code
    * getlogin patch appears to be obsolete, removed
    * Upstream version 1.8.0 now supports filtering, but due to the
      potential for system lockup and a bug in the Makefile it is not
      enabled in this Debian revision pending closer examination.
  * Changed from CDBS to DH for debian/rules
  * Removed dependency on ld.so.preload-manager
  * Removed obsolete Linda override
  * Updated copyright file and converted it to DEP-5 format
  * Standards-Version: 3.9.2

 -- Zed Pobre <zed@debian.org>  Wed, 08 Jun 2011 14:29:58 -0400

snoopy (1.3-15) unstable; urgency=low

  * ACK NMU
  * New translation: tr (Turkish) by Mert Dirik. Closes: #489156
  * Add homepage field
  * Standards-Version: 3.8.0.0
  * Remove Linda Overrides
  * Lintian:
    * Override command-with-path-in-maintainer-script prerm:26
      /usr/sbin/ld.so.preload-manager warning - we need to be absolutely
      sure that the ld.so.preload-manager binary is the one that we expect,
      or we risk leaving a preload entry without the corresponding library.
      So we abort if we are not sure about this.
    * Temporarily Override snoopy: sharedobject-in-library-directory-
      missing-soname lib/snoopy.so - lintian is right, but this change
      cannot be in lenny. #502712.
    * Temporarily Override snoopy: description-contains-homepage
      The Homepage stanza is in the description on purpose, and will
      go away post-lenny. #502713.
  * Add -e to postinst and config

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 19 Oct 2008 13:31:01 +0200

snoopy (1.3-14.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Finnish. Closes: #468354
    - Brazilian Portuguese. Closes: #473243
    - Russian. Closes: #488133
    - Galician. Closes: #488187
    - Romanian. Closes: #488705
    - Basque. Closes: #488797

 -- Christian Perrier <bubulle@debian.org>  Tue, 24 Jun 2008 07:52:20 +0200

snoopy (1.3-14) unstable; urgency=low

  * Update translation: sv (Swedish) by Daniel Nylander. Closes: #412535
  * Update translation. cs (Czech) by Martin ¦ín. Closes: #412694
  * Update translation: it (Italian) by Luca Bruno. Closes: #412696
  * Update translation: fr (French) by Michel Grentzinger. Closes: #412958
  * Update translation: nl (Dutch) by cobaco. Closes: #413233
  * Update translation: es (Spanish) by Javier Fernández-Sanguino.
    Closes: #413557
  * New translation: pt (Portuguese) by Miguel Figueiredo. Closes: #417919
  * prerm: just error out if ld.so.preload-manager is not installed
  * lintian:
    * add description to 50-409819-getlogin_r.dpatch
    * add proper copyright notice
    * Standards-Version: 3.7.3 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 28 Feb 2008 15:22:22 +0100

snoopy (1.3-13) unstable; urgency=low

  * Add patch from Glen Batchelor, Mike O'Connor and Steve Langasek
    which hopefully fixes getlogin_r issue on amd64. Closes: #409819
  * New translation: es (Spanish) by Javier Fernández-Sanguino.
    Closes: #403521
  * Fix debconf templates to better conform with the developer's
    reference, tentatively fix translations as well.
  * Standards-Version: 3.7.2 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 26 Feb 2007 13:20:37 +0100

snoopy (1.3-12) unstable; urgency=low

  * New translation: sv (Swedish) by Daniel Nylander. Closes: #331592

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 18 Nov 2005 12:37:30 +0000

snoopy (1.3-11) unstable; urgency=low

  * fix Makefile patch to honor CFLAGS to fix m68k build.
  * build depend on cdbs 0.4.29 because of bug 300465.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 10 Aug 2005 14:02:48 +0000

snoopy (1.3-10) unstable; urgency=low

  * New translation: it (Italian) by Luca Bruno. Closes: #316912
  * New translation: vi (Vietnamese) by Clytie Siddall. Closes: #318602
  * changelog cosmetics, remove wrong "not yet released" entry from
    actually released version 1.3-9
  * disable DEB_AUTO_UPDATE_DEBIAN_CONTROL
  * replace hardcoded debconf dependency with ${misc:Depends} to stop
    being a cdebconf transition blocker.
  * Standards-Version: 3.6.2 (no changes necessary).

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun,  7 Aug 2005 13:25:48 +0000

snoopy (1.3-9) unstable; urgency=low

  * convert to dpatch, debian/-only layout
  * source control now in svn
  * add linda override for missing shlibs entry
  * New translation. cs (Czech) by Martin ¦ín. Closes: #311701

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 18 Jun 2005 12:25:50 +0000

snoopy (1.3-8) unstable; urgency=low

  * install japanese debconf templates supplied by Hideki Yamane.
    Closes: #260919.
  * use cdbs' automatic build depends creation

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 20 Dec 2004 12:36:35 +0000

snoopy (1.3-7) unstable; urgency=low

  * ignore ld.so.preload-manager's return code in prerm. Closes: #250723.
  * Fix debian/copyright to explain the upstream 1.3 tar.gz on
    sourceforce with different md5sum.
  * have debian/watch point to heanet.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu,  8 Jul 2004 21:02:38 +0200

snoopy (1.3-6) unstable; urgency=low

  * add debian/watch.
  * add upstream URL to debian/control.
  * convert to cdbs
  * add lintian override against
    sharedobject-in-library-directory-not-actually-a-shlib lib/snoopy.so
  * add SNOOPYDEBUG variable to maintainer scripts
  * fix upstream Makefile to create installation dir (sourceforge
    ticket #950485)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  8 May 2004 16:21:06 +0000

snoopy (1.3-5) unstable; urgency=low

  * fix path bug in README.Debian (closes: #140290).
  * install dutch debconf templates supplied by cobaco (closes: #206326).
  * Standards-Version: 3.6.1

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 25 Aug 2003 07:52:39 +0000

snoopy (1.3-4) unstable; urgency=low

  * convert to po-debconf by applying the patch supplied by Michel
    Grentzinger. Thanks for helping! (closes: #202424).
  * re-word german debconf templates.
  * install french debconf templates supplied by Michael Grentzinger.
    Thanks again. (closes: #202426).
  * Standards-Version: 3.6.0.
  * remove dh_make boilerplate upstream author.
  * remove unnecessary and b0rken /usr/doc symlink code from postinst.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 24 Jul 2003 17:52:20 +0000

snoopy (1.3-3) unstable; urgency=medium

  * Function "log" should be static - patch by Juan Cespedes
    (closes: #142322). This is a fix for a release critical bug, hence
    urgency=medium.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed,  8 May 2002 06:06:05 +0000

snoopy (1.3-2) unstable; urgency=low

  * Initial Release (closes: #83244).
  * Take prepared Package from Aubin Paul <aubin@debian.org>.
  * bug fix: move library to /lib instead of /usr/lib
  * added debconf stuff allowing for automatic preload handling

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 16 Mar 2002 00:00:00 +0100
